%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 1.4.0-0
%define languagelocal uk
%define languageeng ukrainian
%define languageenglazy Ukrainian
%define languagecode uk
%define lc_ctype en_UK

Summary:	%{languageenglazy} files for aspell
Name:		aspell-%{languagecode}
Version:	1.4.0
Release:	%mkrel 13
Group:		System/Internationalization
Source:	    https://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/aspell6-%{languagecode}-%{src_ver}.tar.bz2
URL:		https://aspell.sourceforge.net/
License:	GPLv2+ and LGPLv2+
Epoch:		1
Provides: spell-%{languagecode}

BuildRequires:	aspell >= 0.60
Requires:	aspell >= 0.60

# Mageia Stuff
Requires:	locales-%{languagecode}
Provides:	aspell-dictionary

Autoreqprov:	no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n aspell6-%{languagecode}-%{src_ver}

%build
# don't use configure macro
./configure

%make_build

%install
%make_install

# fix doc perms
chmod 644 README* Copyright

%files
%doc README* Copyright
%{_libdir}/aspell-*/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1:1.4.0-13.mga10
+ Revision: 2195155
- Mageia 10 Mass Rebuild

* Mon Mar 14 2022 umeabot <umeabot> 1:1.4.0-12.mga9
+ Revision: 1791434
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:1.4.0-11.mga8
+ Revision: 1510411
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 1:1.4.0-10.mga7
+ Revision: 1294989
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 1:1.4.0-9.mga6
+ Revision: 931553
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.4.0-8.mga5
+ Revision: 741776
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.4.0-7.mga5
+ Revision: 677991
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:1.4.0-6.mga4
+ Revision: 502849
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1:1.4.0-5.mga3
+ Revision: 346430
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 16 2012 kamil <kamil> 1:1.4.0-4.mga2
+ Revision: 209430
- stop providing enchant-dictionary
- clean .spec a bit
+ dmorgan <dmorgan>
- Remove mandriva occurencies
+ ahmad <ahmad>
- imported package aspell-uk


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.0-3mdv2011.0
+ Revision: 603469
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.0-2mdv2010.1
+ Revision: 518970
- rebuild

* Wed Jun 24 2009 Isabel Vallejo <isabel@mandriva.org> 1:1.4.0-1mdv2010.0
+ Revision: 388880
- update to 1.4.0
- update to 1.4.0

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 1:0.60.0-5mdv2009.1
+ Revision: 350126
- 2009.1 rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1:0.60.0-4mdv2009.0
+ Revision: 220457
- rebuild

* Sun Mar 09 2008 Anssi Hannula <anssi@mandriva.org> 1:0.60.0-3mdv2008.1
+ Revision: 182663
- provide enchant-dictionary

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1:0.60.0-2mdv2008.1
+ Revision: 148868
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- s/Mandrake/Mandriva/

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.60.0-1mdv2007.0
+ Revision: 123382
- Import aspell-uk

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.60.0-1mdv2007.1
- use the mkrel macro
- disable debug packages

* Mon Nov 28 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.60.0-1mdk
- new release (thus saving 5Mb on CDs)

* Tue Oct 04 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.51.0-4mdk
- should not be a noarch packag

* Fri Dec 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.51.0-3mdk
- rebuild for new aspell

* Wed Jul 28 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.51.0-2mdk
- allow build on ia64

